getOrganizationRequests
get
/ccapp/v1/organizationRequests/{id}
Get Organization Request. This operation is used to get the Organization request information of a customer from Oracle Commerce Cloud.
Request
Supported Media Types
- application/json
Path Parameters
-
id(required): string
The ID of the requested Organization Request
Query Parameters
-
expand: string
Expand query param : currently used to expand profile, organization and orgAddress Info.(Allowed Values: profile - profile static data, profileAll - profile static & dynamic data, organization - organization static data, organizationAll - organization static & dynamic data, requestAll - organizationRequest static & dynamic data, organizationAddresses).
Response
Supported Media Types
- application/json
200 Response
Following model is returned when operation succeeds.
Root Schema : getOrganizationRequests_response
Type:
Show Source
object-
approverComments:
string
Org request approver comments
-
id:
string
Id of Organization Request
-
name:
string
Organization request name given by the requester
-
organization:
object organization
Organization
-
profile:
object profile
Profile
- relatedOrganizationName: string
-
requesterComments:
string
Requester comments given at time of creating request
-
siteId:
string
Site captured during request creation
-
status:
string
Status of Organization Request
Nested Schema : organization
Type:
objectOrganization
Show Source
-
customerType:
string
Customer Type for Organization
-
dunsNumber:
string
dunsNumber of organization
-
externalOrganizationId:
string
External organization id
-
id:
string
Repository Id of the Organization
-
name:
string
The name for Organization
-
secondaryAddresses:
array secondaryAddresses
List of all the addresses associated with an Organization.
-
taxReferenceNumber:
string
taxReferenceNumberof organization
-
type:
string
Type of Organization
-
uniqueId:
string
Unique Id of the Organization
-
vatReferenceNumber:
string
Vat reference number for the organization
Nested Schema : profile
Type:
objectProfile
Show Source
-
customerContactId:
string
The external customer contact id.
-
email:
string
emailid of profile
-
firstName:
string
first name of the profile
-
id:
string
Repository Id of the profile
-
lastName:
string
Last name of the profile
Nested Schema : secondaryAddresses
Type:
arrayList of all the addresses associated with an Organization.
Show Source
Nested Schema : items
Type:
Show Source
object-
address:
object address
Address created for the Organization.
-
addressType:
string
Address type represents nick name of account if present else repository ID of address item.
Nested Schema : address
Type:
objectAddress created for the Organization.
Show Source
-
address1:
string
The address1 of the secondary address
-
address2:
string
The address2 of the secondary address
-
city:
string
The city of the secondary address
-
companyName:
string
Company name of the secondary address
-
country:
string
The country of the address
-
externalAddressId:
string
External address id
-
phoneNumber:
string
Phone Number of the address
-
postalCode:
string
Postal Code of the address
-
repositoryId:
string
repository Id of the address
-
state:
string
The State of the address
-
types:
array types
The types tagged to the address
Nested Schema : items
Type:
Show Source
object-
displayName:
string
The name of the address type
-
id:
string
repository Id of the address type
-
repositoryId:
string
repository Id of the address type
Example Response (application/json)
{
"approverComments":"Request is approved",
"relatedOrganizationName":null,
"profile":{
"id":"100001"
},
"organization":{
"id":"150002"
},
"name":"My account",
"siteId":"siteUS",
"id":100001,
"requesterComments":"None",
"status":"approved"
}
Default Response
The error response.
The following are the internal error codes thrown by this API when the request processing fails in Oracle Commerce Cloud:
|Error Code|Description|
|------------------|------------------|
|101000|If there was no organization request found with the given id|
Root Schema : errorModel
Type:
Show Source
object-
devMessage:
string
An optional non-localized message containing technical information for developers
-
errorCode:
string
The numerical code identifying the error
-
errors:
array errors
An optional list of errors if multiple errors were encountered
-
message:
string
The localized message describing the error
-
moreInfo:
string
An optional non-localized message with more information
-
o:errorPath:
string
An optional machine readable description of where the error occurred
-
status:
string
The HTTP status code
-
type:
string
The URI to the HTTP state code definition
Nested Schema : errors
Type:
arrayAn optional list of errors if multiple errors were encountered
Show Source
Nested Schema : items
Type:
Show Source
object-
devMessage:
string
An optional non-localized message containing technical information for developers
-
errorCode:
string
The numerical code identifying the error
-
message:
string
The localized message describing the error
-
moreInfo:
string
An optional non-localized message with more information
-
o:errorPath:
string
An optional machine readable description of where the error occurred
-
status:
string
The HTTP status code